summaryrefslogtreecommitdiffstats
path: root/source/ap/libx86/libx86.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/libx86/libx86.SlackBuild')
-rwxr-xr-xsource/ap/libx86/libx86.SlackBuild20
1 files changed, 15 insertions, 5 deletions
diff --git a/source/ap/libx86/libx86.SlackBuild b/source/ap/libx86/libx86.SlackBuild
index 2f5426e3c..21c222539 100755
--- a/source/ap/libx86/libx86.SlackBuild
+++ b/source/ap/libx86/libx86.SlackBuild
@@ -1,9 +1,9 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for libx86
# Copyright 2008 Robby Workman, Northport, Alabama, USA
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +23,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libx86
VERSION=${VERSION:-1.1}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -36,7 +39,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-libx86
@@ -71,7 +81,7 @@ zcat $CWD/libx86-add-pkgconfig.patch.gz | patch -p1 --verbose || exit 1
zcat $CWD/libx86-mmap-offset.patch.gz | patch -p1 --verbose || exit 1
make CFLAGS="$SLKCFLAGS" BACKEND=x86emu LIBDIR=/usr/lib${LIBDIRSUFFIX} || exit 1
-make install DESTDIR=$PKG LIBDIR=/usr/lib${LIBDIRSUFFIX}
+make install DESTDIR=$PKG LIBDIR=/usr/lib${LIBDIRSUFFIX} || exit 1
# Kill the static library; we shouldn't need it
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/libx86.a